Page MenuHomePhabricator

Comments containing diacritics does not generate notifications
Closed, ResolvedPublic1 Story Points

Description

I made two edits to our test page:

{{U|He7d3r}}, xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxã? ~~~~

https://pt.wikipedia.org/w/index.php?diff=40611765

{{U|He7d3r}}, xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx? ~~~~

https://pt.wikipedia.org/w/index.php?diff=40611760

The first one didn't generate a notification. The other did.

This affects users from Portuguese Wikipedia, which are not able to notify other users when adding some comments. The above example is based on this:
https://pt.wikipedia.org/w/index.php?diff=40610292
which didn't generate a notification right after I said to the user that bug 73366 was fixed. It turns out that wasn't the only problem affecting us...


Version: unspecified
Severity: major
URL: https://pt.wikipedia.org/w/index.php?title=Usuário_Discussão:PauloEduardo#Notifica.C3.A7.C3.B5es
See Also:
T75366: New comments are not generating mention notifications when signature is non-standard

Details

Reference
bz73426
Related Gerrit Patches:
mediawiki/extensions/Echo : wmf/1.25wmf16Improve signature detection
mediawiki/extensions/Echo : masterImprove signature detection
mediawiki/extensions/Echo : wmf/1.25wmf15Improve signature detection

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:58 AM
bzimport added a project: Notifications.
bzimport set Reference to bz73426.
bzimport added a subscriber: Unknown Object (MLST).
He7d3r created this task.Nov 14 2014, 5:55 PM

I tried repeating the provided example from 40611765 at https://pt.wikipedia.org/w/index.php?title=Wikip%C3%A9dia:P%C3%A1gina_de_testes/1&oldid=40613223 It generates a notification as expected.

I also tried re-running 40611765 through the event generator, and it looks like He7d3r has now received a mention notification for that event.

I don't know what to attribute the prior failure to, are there any other failure examples to work from?

He7d3r added a comment.EditedNov 14 2014, 10:02 PM

It seems to be related to the signature too:

  • This still failed:

{{U|He7d3r}}, xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxã? ~~~~

https://pt.wikipedia.org/w/index.php?diff=40613374

  • The same worked when I used the default signature:

{{U|He7d3r}}, xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxã? ~~~~

https://pt.wikipedia.org/w/index.php?diff=40613385

Could you try setting your signature to something similar to the one the user was using? E.g.:

[[User:EBernhardson (WMF)|<span style="font-size:13px; color:blue;font-family:Lucida Handwriting;text-shadow:aqua 5px 3px 12px;">Paulo Eduardo</span>]]'' <sup>[[User Talk:EBernhardson (WMF)|<font color="gold" face="Lucida Calligraphy">Discussão</font>]]</sup>''

Change 173455 had a related patch set uploaded by EBernhardson:
Bug: Fails signature detection with extra long signature

https://gerrit.wikimedia.org/r/173455

Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:22 AM
Mattflaschen-WMF triaged this task as Medium priority.Jan 29 2015, 7:00 PM
Mattflaschen-WMF set Security to None.
Mattflaschen-WMF edited a custom field.

Change 187850 had a related patch set uploaded (by Matthias Mullie):
Improve signature detection

https://gerrit.wikimedia.org/r/187850

Patch-For-Review

Change 173455 merged by jenkins-bot:
Bug: Fails signature detection with extra long signature

https://gerrit.wikimedia.org/r/173455

Change 187850 merged by jenkins-bot:
Improve signature detection

https://gerrit.wikimedia.org/r/187850

DannyH closed this task as Resolved.Feb 6 2015, 10:26 PM
He7d3r updated the task description. (Show Details)Feb 7 2015, 12:36 AM

Change 189548 had a related patch set uploaded (by EBernhardson):
Improve signature detection

https://gerrit.wikimedia.org/r/189548

Patch-For-Review

Change 189548 merged by jenkins-bot:
Improve signature detection

https://gerrit.wikimedia.org/r/189548

Change 189549 had a related patch set uploaded (by EBernhardson):
Improve signature detection

https://gerrit.wikimedia.org/r/189549

Patch-For-Review

Change 189549 merged by jenkins-bot:
Improve signature detection

https://gerrit.wikimedia.org/r/189549